

{% extends "base.html.twig" %}




{% block index %}
    

    <div class="container-fluid">
        <div class="row">

           
            <aside class="col-1"> 
                <div class="ringMenu row jusfiy-content-center">
                    <ul>
                      <li class="main"> <a href="{{path('home')}}"><i class="fas fa-home"></i></a></li>
                      <li class="top"><a href="{{path('add_article')}}"><i class="fas fa-plus"></i></a></li>
                      <li class="right"><a href="{{path('all_articles')}}"><i class="fas fa-list-ul"></i></a></li>
         
                    </ul>
                    </div>
            </aside>

                <div class="contents col-10">



<h1>Toutes les articles</h1>
<hr>




                <div class="row">
                        {% for row in articles %}
                                <div class="col-4">
                        <div class="card m-2" style="width: 18rem;">
                                <div class="card-body">
                                  <h5 class="card-title">{{row.title}}</h5>
                                  <h6 class="card-subtitle mb-2 text-muted">{{row.descriptions}}</h6>
                                  <p class="card-text">  {{ row.content|length > 150 ? row.content|slice(0, 100) ~ '...' : row.content  }}</p>
                                  <a class="btn btn-outline-info" href="{{ path('show_article', {id: row.id}) }}">Voir plus</a>
                                </div>
                              </div>
                            </div>
                        {% endfor %}
                        
                    </div>
                    </div>
                    <aside class="col-1">vide</aside>
            </div>
        </div>




        <footer>
            footer
        </footer>

        {% endblock index %}
